<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.entity.user.account.change-local-password.label'"
  [dialogId]="'change-user-password'"
  (confirm)="handleDialogConfirm()"
>
  <sqtm-core-dialog-body>
    @if (formGroup) {
      <div [formGroup]="formGroup" class="form-grid m-b-10">
        @if (data.hasLocalPassword) {
          <sqtm-core-label
            [text]="
              'sqtm-core.entity.user.account.old-password.label' | translate
            "
          >
          </sqtm-core-label>
          <sqtm-core-text-field
            [formGroup]="formGroup"
            [fieldName]="'oldPassword'"
            [serverSideFieldValidationError]="serverSideValidationErrors"
            inputType="password"
          >
          </sqtm-core-text-field>
        }
        <sqtm-core-label
          [text]="'sqtm-core.entity.user.account.password.label' | translate"
        >
        </sqtm-core-label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'newPassword'"
          inputType="password"
        >
        </sqtm-core-text-field>
        <sqtm-core-label
          [text]="
            'sqtm-core.entity.user.account.confirm-password.label' | translate
          "
        >
        </sqtm-core-label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'confirmPassword'"
          inputType="password"
        >
        </sqtm-core-text-field>
      </div>
    }
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
